---
title: Less than (<)
slug: Web/JavaScript/Reference/Operators/Less_than
tags:
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The less than operator (<code>&lt;</code>) returns <code>true</code> if the left operand is less than the right operand, and <code>false</code> otherwise.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-less-than.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"> x &lt; y</pre>

<h2 id="Description">Description</h2>

<p>The operands are compared using the <a href="https://tc39.es/ecma262/#sec-abstract-relational-comparison">Abstract Relational Comparison</a> algorithm, which is roughly summarised below:</p>

<ul>
 <li>First, objects are converted to primitives using <code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Symbol/toPrimitive">Symbol.ToPrimitive</a></code> with the <code>hint</code> parameter be <code>'number'</code>.</li>
 <li>If both values are strings, they are compared as strings, based on the values of the Unicode code points they contain.</li>
 <li>Otherwise JavaScript attempts to convert non-numeric types to numeric values:
  <ul>
   <li>Boolean values <code>true</code> and <code>false</code> are converted to 1 and 0 respectively.</li>
   <li><code>null</code> is converted to 0.</li>
   <li><code>undefined</code> is converted to <code>NaN</code>.</li>
   <li>Strings are converted based on the values they contain, and are converted as <code>NaN</code> if they do not contain numeric values.</li>
  </ul>
 </li>
 <li>If either value is <code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/NaN">NaN</a></code>, the operator returns <code>false</code>.</li>
 <li>Otherwise the values are compared as numeric values.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="String_to_string_comparison">String to string comparison</h3>

<pre class="brush: js notranslate">console.log("a" &lt; "b");        // true
console.log("a" &lt; "a");        // false
console.log("a" &lt; "3");        // false</pre>

<h3 id="String_to_number_comparison">String to number comparison</h3>

<pre class="brush: js notranslate">console.log("5" &lt; 3);          // false
console.log("3" &lt; 3);          // false
console.log("3" &lt; 5);          // true

console.log("hello" &lt; 5);      // false
console.log(5 &lt; "hello");      // false

console.log("5" &lt; 3n);         // false
console.log("3" &lt; 5n);         // true</pre>

<h3 id="Number_to_Number_comparison">Number to Number comparison</h3>

<pre class="brush: js notranslate">console.log(5 &lt; 3);            // false
console.log(3 &lt; 3);            // false
console.log(3 &lt; 5);            // true</pre>

<h3 id="Number_to_BigInt_comparison">Number to BigInt comparison</h3>

<pre class="brush: js notranslate">console.log(5n &lt; 3);           // false
console.log(3 &lt; 5n);           // true</pre>

<h3 id="Comparing_Boolean_null_undefined_NaN">Comparing Boolean, null, undefined, NaN</h3>

<pre class="brush: js notranslate">console.log(true &lt; false);     // false
console.log(false &lt; true);     // true

console.log(0 &lt; true);         // true
console.log(true &lt; 1);         // false

console.log(null &lt; 0);         // false
console.log(null &lt; 1);         // true

console.log(undefined &lt; 3);    // false
console.log(3 &lt; undefined);    // false

console.log(3 &lt; NaN);          // false
console.log(NaN &lt; 3);          // false</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-relational-operators', 'Relational operators')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.less_than")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Greater_than">Greater than operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Greater_than_or_equal">Greater than or equal operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Less_than_or_equal">Less than or equal operator</a></li>
</ul>
